Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class TransactionApplier

    java.lang.Object
      de.grogra.persistence.TransactionApplier

All Implemented Interfaces:
  Transaction.Consumer

    public abstract class TransactionApplier

extends java.lang.Object
implements Transaction.Consumer

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.persistence.Transaction.Consumer
`Transaction.Consumer.Adapter, Transaction.Consumer.Multicaster`

Field Summary
`protected Transaction` | `transaction`

Constructor Summary
`TransactionApplier()`

Method Summary
`void` | `begin()`
`void` | `end()`
`void` | `insertComponent(PersistenceCapable pc, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `makePersistent(long id, ManageableType type)`
`void` | `makeTransient(PersistenceCapable o, ManageableType type)`
`void` | `readData(PersistenceCapable o, Transaction.Reader reader)`
`void` | `removeComponent(PersistenceCapable pc, PersistenceField field, int[] indices, Transaction.Reader reader)`
`void` | `setField(PersistenceCapable pc, PersistenceField field, int[] indices, Transaction.Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transaction

    protected Transaction transaction

Constructor Detail

### TransactionApplier

    public TransactionApplier()

Method Detail

### begin

    public void begin()

  Specified by:
    `begin` in interface `Transaction.Consumer`

### end

    public void end()

  Specified by:
    `end` in interface `Transaction.Consumer`

### insertComponent

    public void insertComponent(PersistenceCapable pc,
                                PersistenceField field,
                                int[] indices,
                                Transaction.Reader reader)

  Specified by:
    `insertComponent` in interface `Transaction.Consumer`

### makePersistent

    public void makePersistent(long id,
                               ManageableType type)

  Specified by:
    `makePersistent` in interface `Transaction.Consumer`

### makeTransient

    public void makeTransient(PersistenceCapable o,
                              ManageableType type)

  Specified by:
    `makeTransient` in interface `Transaction.Consumer`

### readData

    public void readData(PersistenceCapable o,
                         Transaction.Reader reader)

  Specified by:
    `readData` in interface `Transaction.Consumer`

### removeComponent

    public void removeComponent(PersistenceCapable pc,
                                PersistenceField field,
                                int[] indices,
                                Transaction.Reader reader)

  Specified by:
    `removeComponent` in interface `Transaction.Consumer`

### setField

    public void setField(PersistenceCapable pc,
                         PersistenceField field,
                         int[] indices,
                         Transaction.Reader reader)

  Specified by:
    `setField` in interface `Transaction.Consumer`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD